#### Support `@let` declaration syntax (#16474 by @sosukesuzuki)

Adds support for Angular v18 `@let` declaration syntax.

Please see the following code example. The `@let` declaration allows you to define local variables within the template:

<!-- prettier-ignore -->
```html
@let name = 'Frodo';

<h1>Dashboard for {{name}}</h1>
Hello, {{name}}
```

For more details, please refer to the excellent blog post by the Angular Team: [Introducing @let in Angular](https://blog.angular.dev/introducing-let-in-angular-686f9f383f0f).

We also appreciate the Angular Team for kindly answering our questions to implement this feature.
